Package svnmailer :: Module struct_accessors :: Class _QuotedString

[hide private]

# Class _QuotedString

source code

    object --+
             |
    basestring --+
                 |
               str --+
                     |
                    _QuotedString

Holds a quoted string

Instance Methods | [hide private]

__repr__(self) Returns the representation of the quoted string | source code

Inherited from `str`: `__add__`, `__contains__`, `__eq__`, `__format__`, `__ge__`, `__getattribute__`, `__getitem__`, `__getnewargs__`, `__getslice__`, `__gt__`, `__hash__`, `__le__`, `__len__`, `__lt__`, `__mod__`, `__mul__`, `__ne__`, `__rmod__`, `__rmul__`, `__sizeof__`, `__str__`, `capitalize`, `center`, `count`, `decode`, `encode`, `endswith`, `expandtabs`, `find`, `format`, `index`, `isalnum`, `isalpha`, `isdigit`, `islower`, `isspace`, `istitle`, `isupper`, `join`, `ljust`, `lower`, `lstrip`, `partition`, `replace`, `rfind`, `rindex`, `rjust`, `rpartition`, `rsplit`, `rstrip`, `split`, `splitlines`, `startswith`, `strip`, `swapcase`, `title`, `translate`, `upper`, `zfill`

Inherited from `str` (private): `_formatter_field_name_split`, `_formatter_parser`

Inherited from `object`: `__delattr__`, `__init__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__subclasshook__`

Static Methods | [hide private]

    a new object with type S, a subtype of T

__new__(cls, value=`'````'`) Initialization and check | source code

Class Variables | [hide private]

| _parsed_quoted_string = ``(`re.compile(r'`(?:``[``^`"\s`]`\S`*``|`"`[``^`\\"`]``*``(?:``...``

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __new__(cls, value=`'````'`)
Static Method

source code

Initialization and check

Parameters:
  - `value` (`str`) - The value to initialize the string
Returns:

    a new object with type S, a subtype of T

Raises:
  - `ValueError` - The string did not pass the test
Overrides: object.__new__

### __repr__(self)
(Representation operator)

source code

Returns the representation of the quoted string

Overrides: object.__repr__

Class Variable Details | [hide private]

### _parsed_quoted_string

Value:

      (re.compile(r'(?:[^"\s]\S*|"[^\\"]*(?:\\[\\"][^\\"]*)*")$'),
       re.compile(r'\\([\\"])'))